--
-- Patch DDL de SCO_IMPORT du 24/10/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1
-- Type : DDL
-- Schema : SCO_IMPORT
-- Numero de version : 0.1.0.13
-- Date de publication : 24/10/2013
-- Auteur(s) : Pascal MACOUIN

-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;



-----------------------------V20131024.150507__DDL_Creation_tables.sql------------------------------

------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ TABLES de NOMENCLATURES  ----------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE TABLE SCO_IMPORT.DB_VERSION  (
	DBV_ID NUMBER(38) NOT NULL,
	DBV_LIBELLE VARCHAR2(15) NOT NULL,
	DBV_DATE DATE NOT NULL ,
	DBV_INSTALL DATE,
	DBV_COMMENT VARCHAR2(2000),
   CONSTRAINT PK_DB_VERSION PRIMARY KEY (DBV_ID) USING INDEX TABLESPACE INDX_CKTL_SCOL
);	
CREATE SEQUENCE   SCO_IMPORT.DB_VERSION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.DB_VERSION 			IS 'Table contenant les versions des scripts passés';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_ID 		IS 'Identifiant de la version';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_LIBELLE 	IS 'Libellé de la version';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_DATE 	IS 'Date de release de la version';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_INSTALL 	IS 'Date d''installation de la version. Si non renseigné, la version n''est pas complètement installée.';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_COMMENT 	IS 'Le commentaire : une courte description de cette version de la base de données.';
	
	

CREATE TABLE SCO_IMPORT.IMPORT_DISCIPLINE(
  	ID_DISCIPLINE	NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	KEY 			NUMBER(12,0),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
  	VALIDE  		NUMBER(1) DEFAULT 0,
  	CONSTRAINT PK_DISCIPLINE PRIMARY KEY (ID_DISCIPLINE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_DISCIPLINE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_DISCIPLINE 				IS 'Table tampon pour l''import des disciplines';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.CODE 			IS 'Code de la discipline';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.KEY 			IS 'Clé de la discipline (permet de faire lien avec le user SCOLARITE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.LIBELLE 		IS 'Libellé de la discipline';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.LIBELLE_COURT 	IS 'Libellé court de la discipline';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.VALIDE 		IS 'Indique si la discipline est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_DOMAINE(
  	ID_DOMAINE		NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT	VARCHAR2(255),
  	TYPE 			VARCHAR2(255),
    VALIDE  		NUMBER(1) DEFAULT 0,
  	CONSTRAINT PK_DOMAINE PRIMARY KEY (ID_DOMAINE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_DOMAINE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_DOMAINE 				IS 'Table tampon pour l''import des domaines';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.CODE 			IS 'Code du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.LIBELLE 			IS 'Libellé du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.LIBELLE_COURT 		IS 'Libellé court du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.TYPE 			IS 'Type du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.VALIDE 			IS 'Indique si le domaine est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_GRADE(
  	ID_GRADE		NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
  	TYPE 			VARCHAR2(255),
    FILIERE         VARCHAR2(10) DEFAULT 'G',
    VALIDE  		NUMBER(1) DEFAULT 0,
    CONSTRAINT PK_GRADE PRIMARY KEY (ID_GRADE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_IMPORT.IMPORT_GRADE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_GRADE 					IS 'Table tampon pour l''import des grades';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.CODE 				IS 'Code du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.LIBELLE 			IS 'Libellé du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.LIBELLE_COURT 		IS 'Libellé court du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.TYPE 				IS 'Type du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.FILIERE 			IS 'Indique si le grade provient de la table SCOL_FORMATION_FILIERE (F) ou de la table SCOL_FORMATION_GRADE (G)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.VALIDE 			IS 'Indique si le grade est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_MODE_AP (
  	ID_MODE_AP		NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
	LIBELLE 		VARCHAR2(255),
    CONSTRAINT PK_MODE_AP PRIMARY KEY (ID_MODE_AP) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_MODE_AP_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_MODE_AP 				IS 'Table tampon pour l''import du mode d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_MODE_AP.CODE 			IS 'Code du type du mode d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_MODE_AP.LIBELLE_COURT 		IS 'Libellé court du mode d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_MODE_AP.LIBELLE 			IS 'Libellé du mode d''AP';



CREATE TABLE SCO_IMPORT.IMPORT_SPECIALISATION(
  	ID_SPECIALISATION 	NUMBER(38) NOT NULL,
	KEY 				NUMBER(12,0),
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CONSTRAINT PK_SPECIALISATION PRIMARY KEY (ID_SPECIALISATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_SPECIALISATION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_SPECIALISATION 				IS 'Table tampon pour l''import des spécialisations';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.CODE 			IS 'Code de la spécialisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.CODE 			IS 'Clé de la spécialisation (permet de faire le lien avec le user SCOLARITE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.LIBELLE 		IS 'Libellé de la spécialisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.LIBELLE_COURT 	IS 'Libellé court de la spécialisation';



CREATE TABLE SCO_IMPORT.IMPORT_SPECIALITE(
  	ID_SPECIALITE	NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
  	VALIDE  		NUMBER(1) DEFAULT 0,
  	CONSTRAINT PK_SPECIALITE PRIMARY KEY (ID_SPECIALITE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_SPECIALITE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_SPECIALITE 					IS 'Table tampon pour l''import des spécialités';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.CODE 				IS 'Code de la spécialité';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.LIBELLE 			IS 'Libellé de la spécialité';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.LIBELLE_COURT 		IS 'Libellé court de la spécialité';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.VALIDE 			IS 'Indique si la spécialité est valide pour l''année en cours (0/1)';

CREATE TABLE SCO_IMPORT.CORRESP_STATUT_FORMATION (
  	ID_STATUT_FORMATION		NUMBER(38) NOT NULL,
  	ANCIEN_CODE 			VARCHAR2(255),
	NOUVEAU_CODE 			VARCHAR2(255),
  	CONSTRAINT PK_CORRESP_STATUT_FORMATION PRIMARY KEY (ID_STATUT_FORMATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.CORRESP_STATUT_FORMATION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.CORRESP_STATUT_FORMATION 			IS 'Table tampon pour l''import des statuts de formation';
COMMENT ON COLUMN SCO_IMPORT.CORRESP_STATUT_FORMATION.ANCIEN_CODE 	IS 'Code du statut de formation depuis l''ancienne scolarité SCOLARITE.SCOL_FORMATION_DIPLOME.FDIP_TYPE';
COMMENT ON COLUMN SCO_IMPORT.CORRESP_STATUT_FORMATION.NOUVEAU_CODE 	IS 'Code du statut de formation dans la nouvelle scolarité SCO_SCOLARITE.STATUT_FORMATION.ID_STATUT_FORMATION';

CREATE TABLE SCO_IMPORT.IMPORT_TYPE_AP (
  	ID_TYPE_AP		NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE_COURT	VARCHAR2(255),
	LIBELLE 		VARCHAR2(255),
  	CONSTRAINT PK_TYPE_AP PRIMARY KEY (ID_TYPE_AP) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_TYPE_AP_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_TYPE_AP 				IS 'Table tampon pour l''import du type d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_AP.CODE 			IS 'Code du type du type d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_AP.LIBELLE_COURT 		IS 'Libellé court du type d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_AP.LIBELLE 			IS 'Libellé du type d''AP';



CREATE TABLE SCO_IMPORT.IMPORT_TYPE_ORGANISATION (
  	ID_TYPE_ORGANISATION	NUMBER(38) NOT NULL,
  	KEY 				VARCHAR2(255),
  	CODE 				VARCHAR2(255),
	LIBELLE 			VARCHAR2(255),
  	CONSTRAINT PK_TYPE_ORGANISATION PRIMARY KEY (ID_TYPE_ORGANISATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_TYPE_ORGANISATION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_TYPE_ORGANISATION 			IS 'Table tampon pour l''import des types d''organisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_ORGANISATION.CODE 		IS 'Code du type d''organisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_ORGANISATION.KEY 			IS 'Clé du type d''organisation (permet de faire lien avec le user SCOLARITE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_ORGANISATION.LIBELLE 		IS 'Libellé du type d''organisation';



CREATE TABLE SCO_IMPORT.IMPORT_VOCATION(
  	ID_VOCATION	NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
  	VALIDE  		NUMBER(1) DEFAULT 0,
  	CONSTRAINT PK_VOCATION PRIMARY KEY (ID_VOCATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_VOCATION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_VOCATION 				IS 'Table tampon pour l''import des vocations';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.CODE 			IS 'Code de la vocation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.LIBELLE 			IS 'Libellé de la vocation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.LIBELLE_COURT 	IS 'Libellé court de la vocation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.VALIDE 			IS 'Indique si la vocation est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.Z_ID(
    ID_SOUR 			NUMBER(38,0),
    ID_DEST 			NUMBER(38,0),
    ID_TYPE 			VARCHAR2(255 BYTE)
);
CREATE INDEX Z_ID_ID_SOUR ON SCO_IMPORT.Z_ID(ID_SOUR) TABLESPACE INDX_CKTL_SCOL;
COMMENT ON TABLE  SCO_IMPORT.Z_ID 					IS 'Table tampon pour la synchronisation des ID pour le remplissage et le visage de SCO_IMPORT';
COMMENT ON COLUMN SCO_IMPORT.Z_ID.ID_SOUR 				IS 'ID d''origine';
COMMENT ON COLUMN SCO_IMPORT.Z_ID.ID_DEST 				IS 'ID de destination';
COMMENT ON COLUMN SCO_IMPORT.Z_ID.ID_TYPE 				IS 'Type d''ID';

------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ Table d'imports des composants ----------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------

CREATE TABLE SCO_IMPORT.IMPORT_AP (
  	ID_AP 			NUMBER(38) NOT NULL,
  	VERSION_DIPLOME_ID 	NUMBER,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
	TYPE_AP_ID 		NUMBER(38) NOT NULL,
	MODE_AP_ID 		NUMBER(38) NOT NULL,
  	VALEUR_HEURES 		NUMBER,
  	NB_GROUPES 		NUMBER,
    SEUIL 			NUMBER,
    CONSTRAINT PK_AP PRIMARY KEY (ID_AP) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_AP_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_AP 					IS 'Table tampon pour l''import des APs';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.VERSION_DIPLOME_ID 		IS 'ID de la version de diplome auquel est rattaché l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.CODE 				IS 'Code de l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.LIBELLE 				IS 'Libellé de l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.TYPE_AP_ID 			IS 'ID du type de l''AP auquel est rattaché l''AP (lien vers la table IMPORT_TYPE_AP)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.MODE_AP_ID 			IS 'ID du mode de l''AP auquel est rattaché l''AP (lien vers la table IMPORT_MODE_AP)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.VALEUR_HEURES 			IS 'Nombre d''heures de l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.NB_GROUPES 			IS 'Nombre de groupes';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.SEUIL 				IS 'Nombre max d''etudiants par groupe';


CREATE TABLE SCO_IMPORT.IMPORT_EC (
  	ID_EC				NUMBER(38) NOT NULL,
  	DISCIPLINE_ID 		NUMBER,
  	VERSION_DIPLOME_ID 	NUMBER,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CREDIT_ECTS 		NUMBER,
    TRAVAIL_ETUDIANT 	NUMBER,
    BASE_NOTE 			NUMBER,
    C_STRUCTURE		VARCHAR2(10),
    FORMULE1    VARCHAR(500),
    FORMULE2    VARCHAR(500),
  	CONSTRAINT PK_EC PRIMARY KEY (ID_EC) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_EC_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_EC 					IS 'Table tampon pour l''import des ECs';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.DISCIPLINE_ID 			IS 'ID de la discipline à laquelle est rattaché l''EC (lien vers la table IMPORT_DISCIPLINE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.VERSION_DIPLOME_ID 		IS 'ID de la version de diplome auquel est rattaché l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.CODE 				IS 'Code de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.LIBELLE 				IS 'Libellé de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.LIBELLE_COURT 			IS 'Libellé court de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.CREDIT_ECTS 			IS 'Nombre de crédits ECTS de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.TRAVAIL_ETUDIANT 		IS 'Nombre d''heures de travail demandé pour l''étudiant';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.BASE_NOTE 			IS 'Base de notation ou note maximale ';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.C_STRUCTURE 			IS 'Structure auqelle est rattaché l''EC ';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.FORMULE1 			IS 'Première formule de l''EC ';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.FORMULE2 			IS 'Deuxième formule de l''EC ';

CREATE TABLE SCO_IMPORT.IMPORT_UE (
  	ID_UE 			NUMBER(38) NOT NULL,
  	DOMAINE_ID 		NUMBER,
  	VERSION_DIPLOME_ID	NUMBER,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CREDIT_ECTS 		NUMBER,
    TRAVAIL_ETUDIANT 	NUMBER,
    BASE_NOTE 			NUMBER,
  	CONSTRAINT PK_UE PRIMARY KEY (ID_UE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_UE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_UE 					IS 'Table tampon pour l''import des UEs';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.DOMAINE_ID 			IS 'ID du domaine auquel est rattaché l''UE (lien vers la table IMPORT_DOMAINE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.VERSION_DIPLOME_ID 		IS 'ID de la version de diplome auquel est rattaché l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.CODE 				IS 'Code de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.LIBELLE 				IS 'Libellé de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.LIBELLE_COURT 			IS 'Libellé court de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.CREDIT_ECTS 			IS 'Nombre de crédits ECTS de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.TRAVAIL_ETUDIANT 		IS 'Nombre d''heures de travail demandé pour l''étudiant';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.BASE_NOTE 			IS 'Base de notation ou note maximale ';

CREATE TABLE SCO_IMPORT.IMPORT_PERIODE (
  ID_PERIODE NUMBER(38) NOT NULL,
  ORDRE NUMBER,
  HORAIRE_ETUDIANT NUMBER,
  BONIFIABLE NUMBER,
  POINTS_CONTRAINTE NUMBER,
  POINTS NUMBER,
  NOTE_BASE NUMBER,
  NOTE_OBTENTION NUMBER,
  NOTE_ELIMINATION NUMBER,
  DATE_DEBUT DATE,
  DATE_FIN DATE,
  SEMAINE_SESSION1 NUMBER,
  SEMAINE_SESSION2 NUMBER,
  ANNEE   NUMBER,
  CONSTRAINT PK_PERIODE PRIMARY KEY (ID_PERIODE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_IMPORT.IMPORT_PERIODE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_PERIODE IS 'Table tampon pour l''import des périodes';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.ORDRE IS 'Ordre de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.HORAIRE_ETUDIANT IS 'Volume horaire étudiant de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.BONIFIABLE IS 'Si vrai, période bonifiable';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.POINTS_CONTRAINTE IS 'Nombre de points obligatoires de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.POINTS IS 'Nombre de points de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.NOTE_BASE IS 'Note de base de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.NOTE_OBTENTION IS 'Note d''obtention de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.NOTE_ELIMINATION IS 'Note d''elimination de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.DATE_DEBUT IS 'Date de débute de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.DATE_FIN IS 'Date de fin de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.SEMAINE_SESSION1 IS 'Première semaine de session la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.SEMAINE_SESSION2 IS 'Deuxième semaine de session de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.ANNEE IS 'Année de la période';

CREATE TABLE SCO_IMPORT.IMPORT_PARCOURS (
  	ID_PARCOURS		NUMBER(38) NOT NULL,
  	SPECIALISATION_ID 	NUMBER, 
  	VOCATION_ID 		NUMBER,
  	VERSION_DIPLOME_ID 	NUMBER,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CONSTRAINT PK_PARCOURS PRIMARY KEY (ID_PARCOURS) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_PARCOURS_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_PARCOURS 				IS 'Table tampon pour l''import des parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.SPECIALISATION_ID 		IS 'ID de la spécialisation à laquelle est rattaché le parcours (lien vers la table IMPORT_SPECIALISATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.VOCATION_ID 		IS 'ID de la vocation à laquelle est rattaché le parcours (lien vers la table IMPORT_VOCATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.VERSION_DIPLOME_ID 	IS 'ID de la version de diplome auquel est rattaché le parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.CODE 			IS 'Code du parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.LIBELLE 			IS 'Libellé du parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.LIBELLE_COURT 		IS 'Libellé court du parcours';


CREATE TABLE SCO_IMPORT.IMPORT_DIPLOME (
  	ID_DIPLOME			NUMBER(38) NOT NULL,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	SISE_MESR 			VARCHAR2(255),
    GRADE_UNIVERSITAIRE_ID NUMBER,
  	DOMAINE_ID 		NUMBER,
  	VOCATION_ID 		NUMBER,  	
  	STATUT_FORMATION_ID 	NUMBER,
  	TYPE_ORGANISATION_ID	NUMBER,
  	SPECIALISATION_ID 	NUMBER, 
  	MENTION 			VARCHAR2(255),
  	SPECIALITE 		VARCHAR2(255), 
  	ANNEE_DEPART 		NUMBER, 	
  	ANNEE_ARRIVEE 		NUMBER,
  	MODELE 			VARCHAR2(1),
    ANNEE   NUMBER,
  	CONSTRAINT PK_DIPLOME PRIMARY KEY (ID_DIPLOME) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_DIPLOME_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_DIPLOME 					IS 'Table tampon pour l''import des diplomes';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.CODE 				IS 'Code du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.LIBELLE 				IS 'Libellé du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.LIBELLE_COURT 			IS 'Libellé court du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.SISE_MESR 			IS 'Le code SISE fourni par le MESR (obligatoire)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.GRADE_UNIVERSITAIRE_ID 	IS 'Grade universitaire du diplome (lien vers la table GRADE_UNIVERSITAIRE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.DOMAINE_ID 			IS 'ID du domaine auquel est rattaché l''UE (lien vers la table IMPORT_DOMAINE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.VOCATION_ID 			IS 'ID de la vocation à laquelle est rattaché le diplome (lien vers la table IMPORT_VOCATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.STATUT_FORMATION_ID 		IS 'Type de la formation (lien vers la table TYPE_FORMATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.TYPE_ORGANISATION_ID 	IS 'Type d''organisation du diplome (lien vers la table TYPE_ORGANISATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.TYPE_ORGANISATION_ID 	IS 'Spécialisation du diplome (lien vers la table IMPORT_SPECIALISATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.MENTION 				IS 'Libellé de la mention du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.SPECIALITE 			IS 'Spécialité du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.ANNEE_DEPART 			IS 'Numéro de l''année de départ (de 1 à 5)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.ANNEE_ARRIVEE 			IS 'Numéro de l''année d''arrivée (de 1 à 5)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.MODELE 				IS 'Lettre représentant le "modèle" du diplome (A, B, L, M, D, ...)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.ANNEE IS 'Année pour laquelle le diplome est définie, permet de lier avec la version du diplome';

CREATE TABLE SCO_IMPORT.IMPORT_NATURE_LIEN(
  ID_NATURE_LIEN NUMBER(38) NOT NULL,
  CODE VARCHAR2(255),
  LIBELLE VARCHAR2(255),
  CONSTRAINT PK_NATURE_LIEN PRIMARY KEY (ID_NATURE_LIEN) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_IMPORT.IMPORT_NATURE_LIEN_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_NATURE_LIEN 					IS 'Table tampon pour l''import de la nature des liens';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_NATURE_LIEN.CODE			IS 'Code de la nature du lien';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_NATURE_LIEN.LIBELLE  IS 'Libelle de la nature du lien';
  

CREATE TABLE SCO_IMPORT.IMPORT_LIEN (
  	ID_LIEN		NUMBER(38) NOT NULL,
  	PARENT_ID 		NUMBER,
  	ENFANT_ID 		NUMBER,
  	SEMESTRE 		NUMBER,
  	MAJEUR 		VARCHAR2(1),
    NATURE_LIEN_ID  NUMBER(38),
    TYPE_PARENT 			VARCHAR2(255 BYTE),
    TYPE_ENFANT 			VARCHAR2(255 BYTE),
    CONSTRAINT PK_LIEN PRIMARY KEY (ID_LIEN) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_LIEN_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_LIEN 					IS 'Table tampon pour l''import des liens';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.PARENT_ID 				IS 'ID de l''EC  ou de l''UE (correspond au parent dans la nouvelle scol)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.ENFANT_ID 				IS 'ID de l''AP ou de l''EC (correspond au child dans la nouvelle scol)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.SEMESTRE 			IS 'à préciser';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.MAJEUR 			IS 'à préciser';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.NATURE_LIEN_ID  IS 'Nature du lien';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT 			IS 'Type du parent';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT 			IS 'Type de l''enfant ';

-----------------------------V20131024.150604__DDL_Import_SCOLARIX.sql------------------------------
--
-- Procédure de migration de SCOLARITE vers SCO_IMPORT à exécuter depuis le user GRHUM
--

create or replace
PROCEDURE            SCO_IMPORT.IMPORT_SCOLARIX IS


annee_key VARCHAR2(4) default '2012';
unDiplome int;
BEGIN

	-- Introduction
	DBMS_OUTPUT.PUT_LINE('Démarrage de l''importation des données...');

	-- Vidage des tables d'import
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.Z_ID');  
  	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_AP');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_LIEN');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_EC');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_UE');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_PARCOURS');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_DIPLOME');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_DISCIPLINE');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_DOMAINE');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_GRADE');   
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_SPECIALISATION');   
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_SPECIALITE');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_VOCATION'); 
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_MODE_AP');
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_TYPE_AP');
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.CORRESP_STATUT_FORMATION');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_TYPE_ORGANISATION'); 
  	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_NATURE_LIEN');
	DBMS_OUTPUT.PUT_LINE('Tables de SCO_IMPORT vidées : OK');

  	COMMIT;

  	-- Alimentation des tables temporaires
  	INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
 	SELECT MAP_KEY, SCO_IMPORT.IMPORT_AP_SEQ.nextval, 'AP' FROM SCOLARITE.SCOL_MAQUETTE_AP;
  	INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT MEC_KEY, SCO_IMPORT.IMPORT_EC_SEQ.nextval, 'EC' FROM SCOLARITE.SCOL_MAQUETTE_EC;
  	INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT MUE_KEY, SCO_IMPORT.IMPORT_UE_SEQ.nextval, 'UE' FROM SCOLARITE.SCOL_MAQUETTE_UE;    
    	INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT MSEM_KEY, SCO_IMPORT.IMPORT_PERIODE_SEQ.nextval, 'PE' FROM SCOLARITE.SCOL_MAQUETTE_SEMESTRE;
  	INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT MPAR_KEY, SCO_IMPORT.IMPORT_PARCOURS_SEQ.nextval, 'PA' FROM SCOLARITE.SCOL_MAQUETTE_PARCOURS;
    
  	DBMS_OUTPUT.PUT_LINE('Alimentation des tables temporaires : OK');

	-- Insertion des données dans IMPORT_DISCIPLINE
	INSERT INTO SCO_IMPORT.IMPORT_DISCIPLINE
	(ID_DISCIPLINE, KEY, CODE, LIBELLE_COURT, LIBELLE, VALIDE)
	SELECT SCO_IMPORT.IMPORT_DISCIPLINE_SEQ.nextval, FDSC_KEY, FDSC_CODE, FDSC_ABREVIATION, FDSC_LIBELLE, DECODE(FDSC_VALIDITE, 'O', '1','N','0')
  	FROM SCOLARITE.SCOL_FORMATION_DISCIPLINE;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Disciplines : OK');

	-- Insertion des données dans IMPORT_DOMAINE
	INSERT INTO SCO_IMPORT.IMPORT_DOMAINE
	(ID_DOMAINE, CODE, LIBELLE_COURT, LIBELLE, TYPE, VALIDE)
	SELECT SCO_IMPORT.IMPORT_DOMAINE_SEQ.nextval, FDOM_CODE, FDOM_ABREVIATION, FDOM_LIBELLE, FDOM_TYPE, DECODE(FDOM_VALIDITE, 'O', '1','N','0')
	FROM SCOLARITE.SCOL_FORMATION_DOMAINE;
	
	INSERT INTO SCO_IMPORT.IMPORT_DOMAINE
	(ID_DOMAINE, CODE, LIBELLE_COURT, LIBELLE, TYPE, VALIDE)
	SELECT SCO_IMPORT.IMPORT_DOMAINE_SEQ.nextval, FDEP_CODE, FDEP_ABREVIATION, FDEP_LIBELLE, '', DECODE(FDEP_VALIDITE, 'O', '1','N','0')
	FROM SCOLARITE.SCOL_FORMATION_DEPARTEMENT 
	WHERE NOT EXISTS (SELECT FDOM_CODE FROM SCOLARITE.SCOL_FORMATION_DOMAINE WHERE FDOM_CODE=FDEP_CODE);	
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Domaines : OK');

	-- Insertion des données dans IMPORT_GRADE
	INSERT INTO SCO_IMPORT.IMPORT_GRADE
    (ID_GRADE, CODE, LIBELLE_COURT, LIBELLE, FILIERE) 
    SELECT SCO_IMPORT.IMPORT_GRADE_SEQ.nextval, FFIL_CODE, FFIL_ABREVIATION, FFIL_LIBELLE, 'F'  
    FROM SCOLARITE.SCOL_FORMATION_FILIERE ;
    DBMS_OUTPUT.PUT_LINE('Alimentation de la table Grades : OK');
    
	INSERT INTO SCO_IMPORT.IMPORT_GRADE
    (ID_GRADE, CODE, LIBELLE_COURT, LIBELLE, TYPE)
    SELECT SCO_IMPORT.IMPORT_GRADE_SEQ.nextval, FGRA_CODE, FGRA_ABREVIATION, FGRA_LIBELLE, FGRA_CODAGE
    FROM SCOLARITE.SCOL_FORMATION_GRADE
    WHERE FGRA_CODE NOT IN (SELECT DISTINCT CODE FROM SCO_IMPORT.IMPORT_GRADE);     

	-- Insertion des données dans IMPORT_SPECIALITE
	INSERT INTO SCO_IMPORT.IMPORT_SPECIALITE
	(ID_SPECIALITE, CODE, LIBELLE_COURT, LIBELLE, VALIDE)
	SELECT SCO_IMPORT.IMPORT_SPECIALITE_SEQ.nextval, FSPE_CODE, FSPE_ABREVIATION, FSPE_LIBELLE, DECODE(FSPE_VALIDITE, 'O', '1','N','0')
	FROM SCOLARITE.SCOL_FORMATION_SPECIALITE;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Specialités : OK');

	-- Insertion des données dans IMPORT_VOCATION
	INSERT INTO SCO_IMPORT.IMPORT_VOCATION
	(ID_VOCATION, CODE, LIBELLE_COURT, LIBELLE, VALIDE)
	SELECT SCO_IMPORT.IMPORT_VOCATION_SEQ.nextval, FVOC_CODE, FVOC_ABREVIATION, FVOC_LIBELLE, DECODE(FVOC_VALIDITE, 'O', '1','N','0')
	FROM SCOLARITE.SCOL_FORMATION_VOCATION;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Vocations : OK');

  	-- Insertion des données dans IMPORT_MODE_AP
	INSERT INTO SCO_IMPORT.IMPORT_MODE_AP
	(ID_MODE_AP, CODE, LIBELLE_COURT, LIBELLE)
	SELECT SCO_IMPORT.IMPORT_MODE_AP_SEQ.nextval, MHMO_CODE, MHMO_ABREVIATION, MHMO_LIBELLE
  	FROM SCOLARITE.SCOL_MAQUETTE_HORAIRE_MODE;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Modes d''AP : OK');
  
  	-- Insertion des données dans IMPORT_TYPE_AP
	INSERT INTO SCO_IMPORT.IMPORT_TYPE_AP
	(ID_TYPE_AP, CODE, LIBELLE_COURT, LIBELLE)
	SELECT SCO_IMPORT.IMPORT_TYPE_AP_SEQ.nextval, MHCO_CODE, MHCO_ABREVIATION, MHCO_LIBELLE
  	FROM SCOLARITE.SCOL_MAQUETTE_HORAIRE_CODE;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Types d''AP : OK');
  
	-- Insertion des données dans CORRESP_STATUT_FORMATION
	INSERT INTO SCO_IMPORT.CORRESP_STATUT_FORMATION (ID_STATUT_FORMATION, ANCIEN_CODE, NOUVEAU_CODE) VALUES (SCO_IMPORT.CORRESP_STATUT_FORMATION_SEQ.nextval, 'C', 'ECC');
	INSERT INTO SCO_IMPORT.CORRESP_STATUT_FORMATION (ID_STATUT_FORMATION, ANCIEN_CODE, NOUVEAU_CODE) VALUES (SCO_IMPORT.CORRESP_STATUT_FORMATION_SEQ.nextval, 'H', 'EP');
	INSERT INTO SCO_IMPORT.CORRESP_STATUT_FORMATION (ID_STATUT_FORMATION, ANCIEN_CODE, NOUVEAU_CODE) VALUES (SCO_IMPORT.CORRESP_STATUT_FORMATION_SEQ.nextval, 'F', 'F');
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Statuts de formation : OK');
  
	-- Insertion des données dans IMPORT_TYPE_ORGANISATION
  	INSERT INTO SCO_IMPORT.IMPORT_TYPE_ORGANISATION (ID_TYPE_ORGANISATION, CODE, KEY, LIBELLE) VALUES (SCO_IMPORT.IMPORT_TYPE_ORGANISATION_SEQ.nextval, 'S', 'O', 'Semestriel');
  	INSERT INTO SCO_IMPORT.IMPORT_TYPE_ORGANISATION (ID_TYPE_ORGANISATION, CODE, KEY, LIBELLE) VALUES (SCO_IMPORT.IMPORT_TYPE_ORGANISATION_SEQ.nextval, 'A', 'N', 'Annuel');
    
 --Insertion des données dans la table IMPORT_NATURE_LIEN
  INSERT INTO SCO_IMPORT.IMPORT_NATURE_LIEN (ID_NATURE_LIEN, CODE, LIBELLE) VALUES(1,'EC_AP','Lien EC vers AP');
  INSERT INTO SCO_IMPORT.IMPORT_NATURE_LIEN (ID_NATURE_LIEN, CODE, LIBELLE) VALUES(2,'UE_EC','Lien UE vers EC');
  
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Types d''organisation : OK');
  
	-- Insertion des données dans IMPORT_AP
  	INSERT INTO SCO_IMPORT.IMPORT_AP
	(ID_AP, VERSION_DIPLOME_ID, CODE, LIBELLE, TYPE_AP_ID, MODE_AP_ID, VALEUR_HEURES, NB_GROUPES, SEUIL)
	SELECT ID_DEST, SCOL_MAQUETTE_AP.FANN_KEY, MAP_KEY, MAP_LIBELLE, SCO_IMPORT.IMPORT_TYPE_AP.ID_TYPE_AP, SCO_IMPORT.IMPORT_MODE_AP.ID_MODE_AP, MAP_VALEUR, MAP_GROUPE_PREVU, MAP_SEUIL 
  	FROM SCOLARITE.SCOL_MAQUETTE_AP, SCOLARITE.SCOL_FORMATION_ANNEE, SCO_IMPORT.IMPORT_TYPE_AP, SCO_IMPORT.IMPORT_MODE_AP, SCO_IMPORT.Z_ID
  	WHERE SCOLARITE.SCOL_MAQUETTE_AP.MAP_KEY = SCO_IMPORT.Z_ID.ID_SOUR
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'AP'
  	AND SCOLARITE.SCOL_MAQUETTE_AP.MHCO_CODE = SCO_IMPORT.IMPORT_TYPE_AP.CODE
  	AND SCOLARITE.SCOL_MAQUETTE_AP.MHMO_CODE = SCO_IMPORT.IMPORT_MODE_AP.CODE
  	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = SCOLARITE.SCOL_MAQUETTE_AP.FANN_KEY
  	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = annee_key;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table AP : OK');

	-- Insertion des données dans IMPORT_EC
	INSERT INTO SCO_IMPORT.IMPORT_EC
	(ID_EC, DISCIPLINE_ID, VERSION_DIPLOME_ID, CODE, LIBELLE_COURT, LIBELLE, CREDIT_ECTS, TRAVAIL_ETUDIANT, BASE_NOTE, C_STRUCTURE, FORMULE1, FORMULE2)
	SELECT ID_DEST, IMPORT_DISCIPLINE.ID_DISCIPLINE, SCOL_MAQUETTE_EC.FANN_KEY, MEC_CODE, MEC_LIBELLE_COURT, MEC_LIBELLE, MEC_POINTS, MEC_HORAIRE_ETU, 
  MEC_BASE, SCOL_CONSTANTE_BUDGET.C_STRUCTURE, MEC_SESSION1, MEC_SESSION2 
	FROM SCOLARITE.SCOL_MAQUETTE_EC, SCOLARITE.SCOL_FORMATION_ANNEE, SCO_IMPORT.IMPORT_DISCIPLINE, SCO_IMPORT.Z_ID, SCOLARITE.SCOL_CONSTANTE_BUDGET
	WHERE SCOLARITE.SCOL_MAQUETTE_EC.MEC_KEY = SCO_IMPORT.Z_ID.ID_SOUR
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC'
  	AND SCOLARITE.SCOL_MAQUETTE_EC.FDSC_KEY = SCO_IMPORT.IMPORT_DISCIPLINE.KEY
  	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = SCOLARITE.SCOL_MAQUETTE_EC.FANN_KEY
	AND SCOLARITE.SCOL_MAQUETTE_EC.CBUD_KEY = SCOLARITE.SCOL_CONSTANTE_BUDGET.CBUD_KEY
	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = annee_key;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table EC : OK');
  
	-- Insertion des données dans IMPORT_UE
	INSERT INTO SCO_IMPORT.IMPORT_UE
	(ID_UE, DOMAINE_ID, VERSION_DIPLOME_ID, CODE, LIBELLE, CREDIT_ECTS, TRAVAIL_ETUDIANT)
	SELECT ID_DEST, IMPORT_DOMAINE.ID_DOMAINE, SCOL_MAQUETTE_UE.FANN_KEY, MUE_CODE, MUE_LIBELLE, MUE_POINTS, MUE_HORAIRE_ETU 
	FROM SCOLARITE.SCOL_MAQUETTE_UE, SCOLARITE.SCOL_FORMATION_ANNEE, SCO_IMPORT.IMPORT_DOMAINE, SCO_IMPORT.Z_ID
	WHERE SCOLARITE.SCOL_MAQUETTE_UE.MUE_KEY = SCO_IMPORT.Z_ID.ID_SOUR
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'UE'
  	AND SCOLARITE.SCOL_MAQUETTE_UE.FDOM_CODE = SCO_IMPORT.IMPORT_DOMAINE.CODE
  	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = SCOLARITE.SCOL_MAQUETTE_UE.FANN_KEY
	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = annee_key;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table UE : OK');
	
    -- SCOLARITE.SCOL_FORMATION_SPECIALISATION est ce qui se rapproche le plus de la version de diplome dans SC_SCOLARITE
	INSERT INTO SCO_IMPORT.IMPORT_SPECIALISATION
	(ID_SPECIALISATION, KEY, CODE, LIBELLE_COURT, LIBELLE)
	SELECT SCO_IMPORT.IMPORT_SPECIALISATION_SEQ.nextval, FSPN_KEY, FDIP_CODE, FSPN_ABREVIATION, FSPN_LIBELLE
	FROM SCOLARITE.SCOL_FORMATION_SPECIALISATION;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Specialisations : OK');
	
	-- Insertion des données dans IMPORT_PARCOURS
	INSERT INTO SCO_IMPORT.IMPORT_PARCOURS
	(ID_PARCOURS, SPECIALISATION_ID, VOCATION_ID, CODE, LIBELLE_COURT, LIBELLE)
	SELECT ID_DEST, SCO_IMPORT.IMPORT_SPECIALISATION.ID_SPECIALISATION, SCO_IMPORT.IMPORT_VOCATION.ID_VOCATION, MPAR_CODE, MPAR_ABREVIATION, MPAR_LIBELLE
	FROM SCOLARITE.SCOL_MAQUETTE_PARCOURS, SCO_IMPORT.IMPORT_SPECIALISATION, SCO_IMPORT.IMPORT_VOCATION, SCO_IMPORT.Z_ID,
	SCOLARITE.SCOL_FORMATION_SPECIALISATION, SCOLARITE.SCOL_FORMATION_HABILITATION
  	WHERE SCOLARITE.SCOL_MAQUETTE_PARCOURS.MPAR_KEY = SCO_IMPORT.Z_ID.ID_SOUR
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'PA'
  	AND SCOLARITE.SCOL_MAQUETTE_PARCOURS.FSPN_KEY = SCO_IMPORT.IMPORT_SPECIALISATION.KEY
  	AND SCOLARITE.SCOL_MAQUETTE_PARCOURS.FVOC_CODE = SCO_IMPORT.IMPORT_VOCATION.CODE
  	AND SCO_IMPORT.IMPORT_SPECIALISATION.KEY = SCOLARITE.SCOL_FORMATION_SPECIALISATION.FSPN_KEY
  	AND SCOLARITE.SCOL_FORMATION_SPECIALISATION.FSPN_KEY = SCOLARITE.SCOL_FORMATION_HABILITATION.FSPN_KEY
    AND SCOLARITE.SCOL_FORMATION_HABILITATION.FHAB_OUVERT       = 'O'
    AND SCOLARITE.SCOL_FORMATION_HABILITATION.FHAB_NIVEAU       = 1
  	AND SCOLARITE.SCOL_FORMATION_HABILITATION.FANN_KEY          = annee_key;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Parcours : OK');
  	
  -- Insertion des données dans IMPORT_PERIODE
  INSERT INTO SCO_IMPORT.IMPORT_PERIODE
  (ID_PERIODE, ORDRE, HORAIRE_ETUDIANT, BONIFIABLE, POINTS_CONTRAINTE, POINTS, NOTE_BASE, NOTE_OBTENTION, NOTE_ELIMINATION, DATE_DEBUT, DATE_FIN, SEMAINE_SESSION1, SEMAINE_SESSION2, ANNEE)
  SELECT ID_DEST, MSEM_ORDRE, MSEM_HORAIRE_ETU, MSEM_BONIFIABLE, MSEM_POINTS_CONTRAINTE, MSEM_POINTS, MSEM_NOTE_BASE, MSEM_NOTE_OBTENTION, MSEM_NOTE_ELIMINATION, 
  MSEM_DATE_DEBUT, MSEM_DATE_FIN, MSEM_SEMAINE_SESSION1, MSEM_SEMAINE_SESSION2, SCOLARITE.SCOL_MAQUETTE_SEMESTRE.FANN_KEY
  FROM SCOLARITE.SCOL_MAQUETTE_SEMESTRE, SCOLARITE.SCOL_FORMATION_ANNEE, SCO_IMPORT.Z_ID
  WHERE SCOLARITE.SCOL_MAQUETTE_SEMESTRE.MSEM_KEY =  SCO_IMPORT.Z_ID.ID_SOUR
  AND SCO_IMPORT.Z_ID.ID_TYPE = 'PE'
  AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = SCOLARITE.SCOL_MAQUETTE_SEMESTRE.FANN_KEY
  AND SCOLARITE.SCOL_MAQUETTE_SEMESTRE.FANN_KEY = annee_key;
  DBMS_OUTPUT.PUT_LINE('Alimentation de la table Période : OK');
  	
	-- Insertion des données dans IMPORT_DIPLOME
	INSERT INTO SCO_IMPORT.IMPORT_DIPLOME
	       (ID_DIPLOME, CODE, SISE_MESR, GRADE_UNIVERSITAIRE_ID, DOMAINE_ID, VOCATION_ID, LIBELLE_COURT, LIBELLE, STATUT_FORMATION_ID, TYPE_ORGANISATION_ID, 
	       MENTION, SPECIALITE, ANNEE_DEPART, ANNEE_ARRIVEE, MODELE, ANNEE)
	SELECT SCO_IMPORT.IMPORT_DIPLOME_SEQ.nextval, 
		fdipCode, 
         	fdipSise, 
         	idGrade, 
         	idDomaine, 
          	idVocation, 
         	fdipAbreviation, 
                fdipLibelle,  
		idStatutFormation,
                idTypeOrganisation, 
                fdipMention,
                fdipSpecialite,
                fdipDepart, 
                fdipArrivee, 
                fdipModele, 
                fannKey
	  FROM (
  	  select distinct 
         	SCOL_FORMATION_DIPLOME.FDIP_CODE fdipCode, 
         	SCOL_FORMATION_DIPLOME_SISE.FDIP_CODE_SISE fdipSise, 
         	SCO_IMPORT.IMPORT_GRADE.ID_GRADE idGrade, 
         	SCO_IMPORT.IMPORT_DOMAINE.ID_DOMAINE idDomaine, 
         	SCO_IMPORT.IMPORT_VOCATION.ID_VOCATION idVocation, 
         	SCOL_FORMATION_DIPLOME.FDIP_ABREVIATION fdipAbreviation, 
                SCOL_FORMATION_DIPLOME.FDIP_LIBELLE fdipLibelle,
		SCO_IMPORT.CORRESP_STATUT_FORMATION.ID_STATUT_FORMATION idStatutFormation,  
                SCO_IMPORT.IMPORT_TYPE_ORGANISATION.ID_TYPE_ORGANISATION idTypeOrganisation, 
                SCOL_FORMATION_DIPLOME.FDIP_MENTION fdipMention,
                SCOL_FORMATION_DIPLOME.FDIP_SPECIALITE fdipSpecialite,
                SCOL_FORMATION_DIPLOME.FDIP_DEPART fdipDepart, 
                SCOL_FORMATION_DIPLOME.FDIP_ARRIVEE fdipArrivee, 
                SCOL_FORMATION_DIPLOME.FDIP_MODELE fdipModele, 
                SCOL_FORMATION_HABILITATION.FANN_KEY fannKey
          FROM
               SCOLARITE.SCOL_FORMATION_DIPLOME, SCOLARITE.SCOL_FORMATION_DIPLOME_SISE, 
               SCOLARITE.SCOL_FORMATION_SPECIALISATION, 
	       SCOLARITE.SCOL_FORMATION_HABILITATION, SCO_IMPORT.CORRESP_STATUT_FORMATION,
               SCO_IMPORT.IMPORT_GRADE, SCO_IMPORT.IMPORT_DOMAINE, SCO_IMPORT.IMPORT_VOCATION, 
	       SCO_IMPORT.IMPORT_TYPE_ORGANISATION, SCO_IMPORT.IMPORT_SPECIALISATION
  	 WHERE SCOLARITE.SCOL_FORMATION_DIPLOME.FDIP_CODE 	       = SCOLARITE.SCOL_FORMATION_DIPLOME_SISE.FDIP_CODE (+)
  	   AND SCOLARITE.SCOL_FORMATION_DIPLOME.FGRA_CODE              = SCO_IMPORT.IMPORT_GRADE.CODE (+)
  	   AND SCOLARITE.SCOL_FORMATION_DIPLOME.FDOM_CODE              = SCO_IMPORT.IMPORT_DOMAINE.CODE (+)
  	   AND SCOLARITE.SCOL_FORMATION_DIPLOME.FVOC_CODE              = SCO_IMPORT.IMPORT_VOCATION.CODE (+)
  	   AND SCOLARITE.SCOL_FORMATION_DIPLOME.FDIP_SEMESTRIALISATION = SCO_IMPORT.IMPORT_TYPE_ORGANISATION.KEY (+)
    	   AND SCOLARITE.SCOL_FORMATION_DIPLOME.FDIP_CODE              = SCOLARITE.SCOL_FORMATION_SPECIALISATION.FDIP_CODE (+)
    	   AND SCOLARITE.SCOL_FORMATION_SPECIALISATION.FSPN_KEY        = SCOLARITE.SCOL_FORMATION_HABILITATION.FSPN_KEY (+)
	   AND SCOLARITE.SCOL_FORMATION_DIPLOME.FDIP_TYPE              = SCO_IMPORT.CORRESP_STATUT_FORMATION.ANCIEN_CODE
    	   AND SCOLARITE.SCOL_FORMATION_SPECIALISATION.FSPN_KEY        = SCO_IMPORT.IMPORT_SPECIALISATION.KEY
    	   AND SCOLARITE.SCOL_FORMATION_HABILITATION.FHAB_OUVERT       = 'O'
    	   AND SCOLARITE.SCOL_FORMATION_HABILITATION.FHAB_NIVEAU       = 1
    	   AND SCOLARITE.SCOL_FORMATION_HABILITATION.FANN_KEY          = annee_key
         );

	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Diplomes : OK');
	
-- Insertion des données dans IMPORT_LIEN
    --Lien AP-EC
  	INSERT INTO SCO_IMPORT.IMPORT_LIEN (ID_LIEN, PARENT_ID, ENFANT_ID, SEMESTRE, MAJEUR, TYPE_PARENT, TYPE_ENFANT)
	SELECT SCO_IMPORT.IMPORT_LIEN_SEQ.nextval, ALIAS_PARENT.ID_DEST, ALIAS_ENFANT.ID_DEST, MRAP_SEMESTRE, MRAP_MAJEUR , 'EC','AP'
	FROM SCOLARITE.SCOL_MAQUETTE_REPARTITION_AP, SCOLARITE.SCOL_FORMATION_ANNEE, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCO_IMPORT.Z_ID ALIAS_PARENT
	WHERE SCOLARITE.SCOL_MAQUETTE_REPARTITION_AP.MAP_KEY = ALIAS_ENFANT.ID_SOUR
  	AND ALIAS_ENFANT.ID_TYPE = 'AP'
  	AND SCOLARITE.SCOL_MAQUETTE_REPARTITION_AP.MEC_KEY = ALIAS_PARENT.ID_SOUR
  	AND ALIAS_PARENT.ID_TYPE = 'EC'
  	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = SCOLARITE.SCOL_MAQUETTE_REPARTITION_AP.FANN_KEY
	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = annee_key;

    --Lien EC-UE
  	INSERT INTO SCO_IMPORT.IMPORT_LIEN (ID_LIEN, PARENT_ID, ENFANT_ID, TYPE_PARENT, TYPE_ENFANT) 
	  SELECT SCO_IMPORT.IMPORT_LIEN_SEQ.nextval, par, enfant , 'UE', 'EC'
    	   FROM ( SELECT distinct ALIAS_PARENT.ID_DEST par, ALIAS_ENFANT.ID_DEST enfant
 	    FROM SCOLARITE.SCOL_MAQUETTE_REPARTITION_EC, SCO_IMPORT.Z_ID ALIAS_PARENT, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCOLARITE.SCOL_FORMATION_ANNEE
   	     WHERE SCOLARITE.SCOL_MAQUETTE_REPARTITION_EC.MEC_KEY = ALIAS_ENFANT.ID_SOUR
    	     AND ALIAS_ENFANT.ID_TYPE = 'EC'
  	     AND SCOLARITE.SCOL_MAQUETTE_REPARTITION_EC.MUE_KEY = ALIAS_PARENT.ID_SOUR
  	     AND ALIAS_PARENT.ID_TYPE = 'UE'
  	     AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = SCOLARITE.SCOL_MAQUETTE_REPARTITION_EC.FANN_KEY
	     AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = annee_key
	   );
  
    --Lien UE-Periode
  	INSERT INTO SCO_IMPORT.IMPORT_LIEN (ID_LIEN, PARENT_ID, ENFANT_ID, TYPE_PARENT, TYPE_ENFANT) 
	  SELECT SCO_IMPORT.IMPORT_LIEN_SEQ.nextval, ALIAS_PARENT.ID_DEST, ALIAS_ENFANT.ID_DEST , 'PE','UE'
    FROM SCOLARITE.SCOL_MAQUETTE_REPARTITION_UE, SCO_IMPORT.Z_ID ALIAS_PARENT, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCOLARITE.SCOL_FORMATION_ANNEE
    WHERE SCOLARITE.SCOL_MAQUETTE_REPARTITION_UE.MUE_KEY = ALIAS_ENFANT.ID_SOUR
    AND ALIAS_ENFANT.ID_TYPE = 'UE'
  	AND SCOLARITE.SCOL_MAQUETTE_REPARTITION_UE.MSEM_KEY = ALIAS_PARENT.ID_SOUR
  	AND ALIAS_PARENT.ID_TYPE = 'PE'
  	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = SCOLARITE.SCOL_MAQUETTE_REPARTITION_UE.FANN_KEY
	  AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = annee_key;
  
  --Lien Periode-Parcours
    INSERT INTO SCO_IMPORT.IMPORT_LIEN (ID_LIEN, PARENT_ID, ENFANT_ID, TYPE_PARENT, TYPE_ENFANT) 
	  SELECT SCO_IMPORT.IMPORT_LIEN_SEQ.nextval, ALIAS_PARENT.ID_DEST, ALIAS_ENFANT.ID_DEST , 'PA','PE'
    FROM SCOLARITE.SCOL_MAQUETTE_REPARTITION_SEM, SCO_IMPORT.Z_ID ALIAS_PARENT, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCOLARITE.SCOL_FORMATION_ANNEE
    WHERE SCOLARITE.SCOL_MAQUETTE_REPARTITION_SEM.MSEM_KEY = ALIAS_ENFANT.ID_SOUR
    AND ALIAS_ENFANT.ID_TYPE = 'PE'
  	AND SCOLARITE.SCOL_MAQUETTE_REPARTITION_SEM.MPAR_KEY = ALIAS_PARENT.ID_SOUR
  	AND ALIAS_PARENT.ID_TYPE = 'PA'
  	AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = SCOLARITE.SCOL_MAQUETTE_REPARTITION_SEM.FANN_KEY
	  AND SCOLARITE.SCOL_FORMATION_ANNEE.FANN_KEY = annee_key;
  
   --Lien Diplome - Parcours
   DBMS_OUTPUT.PUT_LINE('Alimentation de la table Lien : OK');

     COMMIT;
	-- Conclusion
	DBMS_OUTPUT.PUT_LINE('Importation des données terminée.'); 

END;
/

------------------------------V20131024.150623__DDL_Import_GIROFLE.sql------------------------------
--
-- Procédure de migration de SCO_IMPORT vers SCO_SCOLARITE à  exécuter depuis le user GRHUM
--

create or replace
PROCEDURE             SCO_IMPORT.IMPORT_GIROFLE IS

is_fieldcstructure_exists varchar2(10);
is_formuleSession1_notEmpty integer;
is_formuleSession2_notEmpty integer;
idSession integer;
CURSOR importEC IS SELECT ID_EC FROM SCO_IMPORT.IMPORT_EC;
CURSOR importDiplome IS SELECT ID_DIPLOME,ANNEE, CODE FROM SCO_IMPORT.IMPORT_DIPLOME;
unEC int;
idVersionDiplome int;
idSpecialisation int;
unDiplome int;
uneAnnee int;
unCodeDiplome VARCHAR2(255);
idLien int;
BEGIN

	-- Introduction
	DBMS_OUTPUT.PUT_LINE('Démarrage de l importation des données...');
  
  	-- Vidage des tables d'import
  	EXECUTE IMMEDIATE('DELETE FROM SCO_IMPORT.Z_ID');
  	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.CREDITABLE');
  	EXECUTE Immediate('DELETE FROM SCO_SCOLARITE.DESCRIPTIF');
 	EXECUTE Immediate('DELETE FROM SCO_SCOLARITE.DESCRIPTIF_CHAMP_CONTENU');
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.LIEN');
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.LIEN_COMPOSER');
  	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.AP');
  	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.AE');
  	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.EC'); 
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.UE');
    	EXECUTE Immediate('DELETE FROM SCO_SCOLARITE.REGROUPEMENT');
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.PARCOURS');
    	EXECUTE Immediate('DELETE FROM SCO_SCOLARITE.PERIODE');
    	EXECUTE Immediate('DELETE FROM SCO_SCOLARITE.VERSION_DIPLOME');
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.DIPLOME'); 
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.FORMULE');
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.SESSION_COMPOSANT');
	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.LANGUES_COMPOSANT');
	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.DISCIPLINES_COMPOSANT');
	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.GD_PERIMETRE_GIROFLE');  
	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.IMPLANTATIONS_COMP');
  	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.COMPOSANT');  
  	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.DOMAINE');  
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.SPECIALITE');  
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.TYPE_AP');
    	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.GRADE_UNIVERSITAIRE');   
	EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.STRUCTURES_COMPOSANT');
	DBMS_OUTPUT.PUT_LINE('Tables de SCO_SCOLARITE vidées');
  	COMMIT;

  	-- Alimentation des tables temporaires
	INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT SCO_IMPORT.IMPORT_AP.ID_AP, SCO_SCOLARITE.COMPOSANT_SEQ.nextval, 'AP' FROM SCO_IMPORT.IMPORT_AP;
  	
  INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT SCO_IMPORT.IMPORT_EC.ID_EC, SCO_SCOLARITE.COMPOSANT_SEQ.nextval, 'EC' FROM SCO_IMPORT.IMPORT_EC;
  	
  INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT SCO_IMPORT.IMPORT_UE.ID_UE, SCO_SCOLARITE.COMPOSANT_SEQ.nextval, 'UE' FROM SCO_IMPORT.IMPORT_UE;
    
  INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT SCO_IMPORT.IMPORT_PERIODE.ID_PERIODE, SCO_SCOLARITE.COMPOSANT_SEQ.nextval, 'PE' FROM SCO_IMPORT.IMPORT_PERIODE;  

  INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT SCO_IMPORT.IMPORT_PARCOURS.ID_PARCOURS, SCO_SCOLARITE.COMPOSANT_SEQ.nextval, 'PA' FROM SCO_IMPORT.IMPORT_PARCOURS;   		    
  
  INSERT INTO SCO_IMPORT.Z_ID (ID_SOUR, ID_DEST, ID_TYPE)
  	SELECT SCO_IMPORT.IMPORT_DIPLOME.ID_DIPLOME, SCO_SCOLARITE.COMPOSANT_SEQ.nextval, 'DI' FROM SCO_IMPORT.IMPORT_DIPLOME;
  	DBMS_OUTPUT.PUT_LINE('Alimentation des tables temporaires : OK');
 
  	-- Insertion des données de DOMAINE
	INSERT INTO SCO_SCOLARITE.DOMAINE (ID_DOMAINE, CODE, LC_DOMAINE, LL_DOMAINE, IS_READ_ONLY)
  	SELECT ID_DOMAINE, CODE, LIBELLE_COURT, LIBELLE, '1' FROM SCO_IMPORT.IMPORT_DOMAINE;
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Domaines : OK');

    -- Insertion des données de GRADE
    INSERT INTO SCO_SCOLARITE.GRADE_UNIVERSITAIRE (ID_GRADE_UNIVERSITAIRE,TYPE_GRADE_UNIVERSITAIRE,LIBELLE,NB_UNITES_TEMPS,FILIERE)
    SELECT ID_GRADE, CODE, LIBELLE, 1, FILIERE FROM SCO_IMPORT.IMPORT_GRADE;    
  
  	-- Insertion des données de SPECIALITES
	INSERT INTO SCO_SCOLARITE.SPECIALITE (ID_SPECIALITE, CODE, LC_SPECIALITE, LL_SPECIALITE, IS_READ_ONLY)
  	SELECT ID_SPECIALITE, CODE, LIBELLE_COURT, LIBELLE, '1' FROM SCO_IMPORT.IMPORT_SPECIALITE;
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Spécialités : OK');
  
  	-- Insertion des données de MODE_AP
	INSERT INTO SCO_SCOLARITE.MODE_AP (ID_MODE_AP, CODE, LIBELLE, IS_READ_ONLY)
  	SELECT SCO_SCOLARITE.MODE_AP_SEQ.NEXTVAL, CODE , LIBELLE, '1' FROM SCO_IMPORT.IMPORT_MODE_AP
    WHERE CODE NOT IN (SELECT CODE FROM SCO_SCOLARITE.MODE_AP);	
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Modes d''AP : OK');

   	-- Insertion des données de TYPE_AP
	INSERT INTO SCO_SCOLARITE.TYPE_AP (ID_TYPE_AP, CODE, LIBELLE, IS_READ_ONLY)
 	SELECT ID_TYPE_AP, CODE, LIBELLE, '1' FROM SCO_IMPORT.IMPORT_TYPE_AP;
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Types d''AP : OK');

  	-- Insertion des données d'AP
  	INSERT INTO SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT, TYPE_COMPOSANT_ID, CODE, LL_COMPOSANT)
  	SELECT ID_DEST, '2', CODE, LIBELLE 
  	FROM SCO_IMPORT.IMPORT_AP, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_AP.ID_AP
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'AP';
    INSERT INTO SCO_SCOLARITE.AP (ID_AP, TYPE_AP_ID, MODE_AP_ID, VALEUR_HEURES, SEUIL, NB_GROUPES)
  	SELECT ID_DEST, TYPE_AP_ID, ALIAS_MODE_AP.ID_MODE_AP, VALEUR_HEURES, SEUIL, NB_GROUPES 
  	FROM SCO_IMPORT.IMPORT_AP, SCO_IMPORT.Z_ID , SCO_SCOLARITE.MODE_AP ALIAS_MODE_AP, SCO_IMPORT.IMPORT_MODE_AP ALIAS_IMPORT_MODE_AP
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_AP.ID_AP
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'AP'
    AND ALIAS_MODE_AP.CODE = ALIAS_IMPORT_MODE_AP.CODE
    AND ALIAS_IMPORT_MODE_AP.ID_MODE_AP= SCO_IMPORT.IMPORT_AP.MODE_AP_ID;
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table d''AP : OK');
  
  	-- Insertion des données d'EC
	INSERT INTO SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT, TYPE_COMPOSANT_ID, CODE, LL_COMPOSANT, LC_COMPOSANT)
  	SELECT ID_DEST, '3', CODE, LIBELLE||' ', LIBELLE_COURT
  	FROM SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';
  	
  INSERT INTO SCO_SCOLARITE.EC (ID_EC)
  	SELECT ID_DEST FROM SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';
    
  INSERT INTO SCO_SCOLARITE.CREDITABLE(ID_CREDITABLE, COMPOSANT_ID,LIEN_ID, CREDIT_ECTS,TRAVAIL_ETUDIANT,BASE_NOTE,SANS_NOTE)
    SELECT SCO_SCOLARITE.CREDITABLE_SEQ.NEXTVAL, ID_DEST, NULL, CREDIT_ECTS, TRAVAIL_ETUDIANT, BASE_NOTE, 0 
    FROM SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table EC : OK');
    
  --insertion des formules  
  OPEN importEC;
	LOOP
		FETCH importEC into unEC;
    EXIT WHEN importEC%NOTFOUND;
    
    SELECT LENGTH(FORMULE1) INTO is_formuleSession1_notEmpty from SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
    WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';
    IF(is_formuleSession1_notEmpty > 0) then
      SELECT  SCO_SCOLARITE.SESSION_COMPOSANT_SEQ.NEXTVAL INTO  idSession FROM dual;
      INSERT INTO SCO_SCOLARITE.SESSION_COMPOSANT (ID_SESSION_COMPOSANT, COMPOSANT_ID, ACTIVE, LIBELLE) 
      SELECT idSession, ID_DEST, 1, 'Session 1' from SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
      WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';
      INSERT INTO SCO_SCOLARITE.FORMULE (ID_FORMULE, SESSION_COMPOSANT_ID, TYPE_FORMULE_ID, FORMULE)
      SELECT SCO_SCOLARITE.FORMULE_SEQ.NEXTVAL, idSession, 1, SCO_IMPORT.IMPORT_EC.FORMULE1 from SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
      WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';      
      
      SELECT LENGTH(FORMULE2) INTO is_formuleSession2_notEmpty from SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
      WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';
      SELECT  SCO_SCOLARITE.SESSION_COMPOSANT_SEQ.NEXTVAL INTO  idSession FROM dual;
      IF(is_formuleSession2_notEmpty > 0) then
        INSERT INTO SCO_SCOLARITE.SESSION_COMPOSANT (ID_SESSION_COMPOSANT, COMPOSANT_ID, ACTIVE, LIBELLE) 
        SELECT idSession, ID_DEST, 1, 'Session 2' from SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
        WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';
        INSERT INTO SCO_SCOLARITE.FORMULE (ID_FORMULE, SESSION_COMPOSANT_ID, TYPE_FORMULE_ID, FORMULE)
        SELECT SCO_SCOLARITE.FORMULE_SEQ.NEXTVAL, idSession, 1, SCO_IMPORT.IMPORT_EC.FORMULE2 from SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
        WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';      
      ELSE
        INSERT INTO SCO_SCOLARITE.SESSION_COMPOSANT (ID_SESSION_COMPOSANT, COMPOSANT_ID, ACTIVE, LIBELLE) 
        SELECT idSession, ID_DEST, 0, 'Session 2' from SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
        WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';        
        INSERT INTO SCO_SCOLARITE.FORMULE (ID_FORMULE, SESSION_COMPOSANT_ID, TYPE_FORMULE_ID, FORMULE)  SELECT SCO_SCOLARITE.FORMULE_SEQ.NEXTVAL, idSession, 1, null from DUAL; 
      END IF;
      
      SELECT  SCO_SCOLARITE.SESSION_COMPOSANT_SEQ.NEXTVAL INTO  idSession FROM dual;
      INSERT INTO SCO_SCOLARITE.SESSION_COMPOSANT (ID_SESSION_COMPOSANT, COMPOSANT_ID, ACTIVE, LIBELLE) 
      SELECT idSession, ID_DEST, 0, 'Session 3' from SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
      WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';        
      INSERT INTO SCO_SCOLARITE.FORMULE (ID_FORMULE, SESSION_COMPOSANT_ID, TYPE_FORMULE_ID, FORMULE)  SELECT SCO_SCOLARITE.FORMULE_SEQ.NEXTVAL, idSession, 1, null from DUAL; 
    END IF;        
    
  END LOOP;
	CLOSE importEC;
  	
  	-- Insertion de la composante d'un EC
	OPEN importEC;
	LOOP
		FETCH importEC into unEC;
        EXIT WHEN importEC%NOTFOUND;
        SELECT C_STRUCTURE INTO is_fieldcstructure_exists FROM SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';
			IF(is_fieldcstructure_exists > 0) then
          		INSERT INTO SCO_SCOLARITE.STRUCTURES_COMPOSANT (COMPOSANT_ID, C_STRUCTURE)
          		SELECT ID_DEST, C_STRUCTURE
          		FROM SCO_IMPORT.IMPORT_EC, SCO_IMPORT.Z_ID 
          		WHERE SCO_IMPORT.IMPORT_EC.ID_EC=unEC
              	AND SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_EC.ID_EC
          		AND SCO_IMPORT.Z_ID.ID_TYPE = 'EC';
        	END IF;
	END LOOP;
	CLOSE importEC;
    
  	-- Insertion des données d'UE
	INSERT INTO SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT, TYPE_COMPOSANT_ID, DOMAINE_ID, CODE, LL_COMPOSANT, LC_COMPOSANT)
  	SELECT ID_DEST, '4', DOMAINE_ID, CODE, LIBELLE||' ', LIBELLE_COURT
  	FROM SCO_IMPORT.IMPORT_UE, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_UE.ID_UE
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'UE';
  
  INSERT INTO SCO_SCOLARITE.UE (ID_UE)
  	SELECT ID_DEST FROM SCO_IMPORT.IMPORT_UE, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_UE.ID_UE
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'UE';
    
  INSERT INTO SCO_SCOLARITE.CREDITABLE(ID_CREDITABLE, COMPOSANT_ID,LIEN_ID, CREDIT_ECTS,TRAVAIL_ETUDIANT,BASE_NOTE,SANS_NOTE)
    SELECT SCO_SCOLARITE.CREDITABLE_SEQ.NEXTVAL, ID_DEST, NULL, CREDIT_ECTS, TRAVAIL_ETUDIANT, BASE_NOTE, 0 
    FROM SCO_IMPORT.IMPORT_UE, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_UE.ID_UE
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'UE';
  
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table UE : OK');
  
  --Insertion des données des Periodes
  INSERT INTO SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT, TYPE_COMPOSANT_ID, CODE, LL_COMPOSANT)
  	SELECT ID_DEST, '7', 'PERIODE_'|| ID_SOUR, 'PERIODE_'|| ID_SOUR
  	FROM SCO_IMPORT.IMPORT_PERIODE, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_PERIODE.ID_PERIODE
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'PE';
  
  INSERT INTO SCO_SCOLARITE.PERIODE (ID_PERIODE)
  	SELECT ID_DEST FROM SCO_IMPORT.IMPORT_PERIODE, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_PERIODE.ID_PERIODE
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'PE';
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Periode : OK');
  
  	-- Insertion des données de PARCOURS
  	 INSERT INTO SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT, TYPE_COMPOSANT_ID, CODE, LL_COMPOSANT, LC_COMPOSANT)
  	SELECT ID_DEST, '6', CODE, LIBELLE, LIBELLE_COURT
  	FROM SCO_IMPORT.IMPORT_PARCOURS, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_PARCOURS.ID_PARCOURS
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'PA';
  
  INSERT INTO SCO_SCOLARITE.PARCOURS (ID_PARCOURS)
  	SELECT ID_DEST FROM SCO_IMPORT.IMPORT_PARCOURS, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_PARCOURS.ID_PARCOURS
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'PA';
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Parcours : OK');
    	
  	-- Insertion des données de DIPLOME
  	INSERT INTO SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT, TYPE_COMPOSANT_ID, DOMAINE_ID, CODE, LL_COMPOSANT, LC_COMPOSANT)
  	SELECT ID_DEST, '9', DOMAINE_ID, CODE, LIBELLE, LIBELLE_COURT
  	FROM SCO_IMPORT.IMPORT_DIPLOME, SCO_IMPORT.Z_ID 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_DIPLOME.ID_DIPLOME
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'DI';
        

       INSERT INTO SCO_SCOLARITE.DIPLOME
	(ID_DIPLOME, GRADE_UNIVERSITAIRE_ID, TYPE_ORGANISATION_ID, 
	STATUT_FORMATION_ID, 
	SISE_MESR, MENTION)
	SELECT ID_DEST, GRADE_UNIVERSITAIRE.ID_GRADE_UNIVERSITAIRE, TYPE_ORGANISATION.ID_TYPE_ORGANISATION,  STATUT_FORMATION.ID_STATUT_FORMATION, 
	SISE_MESR, MENTION
	FROM SCO_IMPORT.IMPORT_DIPLOME, SCO_IMPORT.Z_ID, SCO_IMPORT.CORRESP_STATUT_FORMATION, SCO_SCOLARITE.STATUT_FORMATION,
 SCO_IMPORT.IMPORT_TYPE_ORGANISATION, SCO_SCOLARITE.TYPE_ORGANISATION, SCO_IMPORT.IMPORT_GRADE, SCO_SCOLARITE.GRADE_UNIVERSITAIRE 
  	WHERE SCO_IMPORT.Z_ID.ID_SOUR = SCO_IMPORT.IMPORT_DIPLOME.ID_DIPLOME
  	AND SCO_IMPORT.Z_ID.ID_TYPE = 'DI'
  	AND SCO_IMPORT.IMPORT_DIPLOME.GRADE_UNIVERSITAIRE_ID = SCO_IMPORT.IMPORT_GRADE.ID_GRADE
  	AND SCO_IMPORT.IMPORT_GRADE.CODE = SCO_SCOLARITE.GRADE_UNIVERSITAIRE.TYPE_GRADE_UNIVERSITAIRE
  	AND SCO_IMPORT.IMPORT_DIPLOME.TYPE_ORGANISATION_ID = SCO_IMPORT.IMPORT_TYPE_ORGANISATION.ID_TYPE_ORGANISATION
  	AND SCO_IMPORT.IMPORT_TYPE_ORGANISATION.CODE = SUBSTR(SCO_SCOLARITE.TYPE_ORGANISATION.TYPE_ORGANISATION, 0, 1)
	AND SCO_IMPORT.IMPORT_DIPLOME.STATUT_FORMATION_ID = SCO_IMPORT.CORRESP_STATUT_FORMATION.ID_STATUT_FORMATION
  	AND SCO_IMPORT.CORRESP_STATUT_FORMATION.NOUVEAU_CODE = SCO_SCOLARITE.STATUT_FORMATION.CODE;
	
-- insère la version de diplome
  OPEN importDIPLOME;
	LOOP
		FETCH importDIPLOME into unDiplome, uneAnnee, unCodeDiplome;
    EXIT WHEN importDIPLOME%NOTFOUND;
    
    SELECT  SCO_SCOLARITE.COMPOSANT_SEQ.NEXTVAL INTO  idVersionDiplome FROM dual;    
    
    INSERT INTO SCO_SCOLARITE.COMPOSANT (ID_COMPOSANT, TYPE_COMPOSANT_ID, CODE, LL_COMPOSANT, LC_COMPOSANT)
      SELECT idVersionDiplome, '8', 'v 1.0 - '||CODE, 'Version du diplome' || LIBELLE, LIBELLE_COURT
      FROM SCO_IMPORT.IMPORT_DIPLOME, SCO_IMPORT.Z_ID
      WHERE SCO_IMPORT.Z_ID.ID_SOUR = unDiplome
      AND SCO_IMPORT.Z_ID.ID_TYPE = 'DI'
      AND SCO_IMPORT.IMPORT_DIPLOME.ID_DIPLOME= SCO_IMPORT.Z_ID.ID_SOUR;
      
    
    INSERT INTO SCO_SCOLARITE.VERSION_DIPLOME (ID_VERSION_DIPLOME, ANNEE) 
    VALUES(idVersionDiplome, uneAnnee);
          
   INSERT INTO SCO_SCOLARITE.LIEN(ID_LIEN, PARENT_ID, CHILD_ID, TYPE_LIEN_ID)
   SELECT SCO_SCOLARITE.LIEN_SEQ.NEXTVAL,ID_DEST , idVersionDiplome, 2
    FROM SCO_IMPORT.IMPORT_DIPLOME, SCO_IMPORT.Z_ID
     WHERE SCO_IMPORT.Z_ID.ID_SOUR = unDiplome
      AND SCO_IMPORT.Z_ID.ID_TYPE = 'DI'
      AND SCO_IMPORT.IMPORT_DIPLOME.ID_DIPLOME= SCO_IMPORT.Z_ID.ID_SOUR ;      
           
    SELECT  SPECIALISATION_ID INTO idSpecialisation  FROM SCO_IMPORT.IMPORT_DIPLOME, SCO_IMPORT.Z_ID
      WHERE SCO_IMPORT.Z_ID.ID_SOUR = unDiplome
      AND SCO_IMPORT.Z_ID.ID_TYPE = 'DI'
      AND SCO_IMPORT.IMPORT_DIPLOME.ID_DIPLOME= SCO_IMPORT.Z_ID.ID_SOUR ;
 
    INSERT INTO SCO_SCOLARITE.LIEN(ID_LIEN, PARENT_ID, CHILD_ID, TYPE_LIEN_ID)
    SELECT SCO_SCOLARITE.LIEN_SEQ.NEXTVAL, idVersionDiplome, ID_DEST, 1
    FROM SCO_IMPORT.IMPORT_PARCOURS, SCO_IMPORT.IMPORT_SPECIALISATION, SCO_IMPORT.Z_ID
    WHERE SCO_IMPORT.IMPORT_PARCOURS.SPECIALISATION_ID = SCO_IMPORT.IMPORT_SPECIALISATION.ID_SPECIALISATION
      AND SCO_IMPORT.IMPORT_SPECIALISATION.CODE = unCodeDiplome
      AND SCO_IMPORT.Z_ID.ID_TYPE = 'PA'
      AND SCO_IMPORT.IMPORT_PARCOURS.ID_PARCOURS= SCO_IMPORT.Z_ID.ID_SOUR ;
    
    INSERT INTO SCO_SCOLARITE.LIEN_COMPOSER (ID_LIEN_COMPOSER)
    SELECT SCO_SCOLARITE.LIEN_SEQ.CURRVAL FROM DUAL;
    
  END LOOP;
	CLOSE importDIPLOME;
  DBMS_OUTPUT.PUT_LINE('Alimentation de la table Version_diplome : OK');
 
 
  -- Insertion des données de liaison entre AP et EC
	  INSERT INTO SCO_SCOLARITE.LIEN (ID_LIEN, PARENT_ID, CHILD_ID, TYPE_LIEN_ID)
  	SELECT SCO_SCOLARITE.LIEN_SEQ.nextval, ALIAS_PARENT.ID_DEST, ALIAS_ENFANT.ID_DEST, '1'
  	FROM SCO_IMPORT.IMPORT_LIEN, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCO_IMPORT.Z_ID ALIAS_PARENT
  	WHERE (SCO_IMPORT.IMPORT_LIEN.ENFANT_ID = ALIAS_ENFANT.ID_SOUR
  	AND ALIAS_ENFANT.ID_TYPE = 'AP'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT='AP')
  	AND (SCO_IMPORT.IMPORT_LIEN.PARENT_ID = ALIAS_PARENT.ID_SOUR
  	AND ALIAS_PARENT.ID_TYPE = 'EC'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT='EC') ;
    
    INSERT INTO SCO_SCOLARITE.LIEN_COMPOSER (ID_LIEN_COMPOSER)
    SELECT SCO_SCOLARITE.LIEN.ID_LIEN
  	FROM SCO_SCOLARITE.LIEN, SCO_IMPORT.IMPORT_LIEN, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCO_IMPORT.Z_ID ALIAS_PARENT
  	WHERE (SCO_IMPORT.IMPORT_LIEN.ENFANT_ID = ALIAS_ENFANT.ID_SOUR
    AND SCO_SCOLARITE.LIEN.CHILD_ID = ALIAS_ENFANT.ID_DEST
  	AND ALIAS_ENFANT.ID_TYPE = 'AP'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT='AP')
  	AND (SCO_IMPORT.IMPORT_LIEN.PARENT_ID = ALIAS_PARENT.ID_SOUR
    AND SCO_SCOLARITE.LIEN.PARENT_ID = ALIAS_PARENT.ID_DEST
  	AND ALIAS_PARENT.ID_TYPE = 'EC'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT='EC') ;    
    
    -- Insertion des données de liaison entre EC ET UE
	  INSERT INTO SCO_SCOLARITE.LIEN (ID_LIEN, PARENT_ID, CHILD_ID, TYPE_LIEN_ID)
  	SELECT SCO_SCOLARITE.LIEN_SEQ.nextval, ALIAS_PARENT.ID_DEST, ALIAS_ENFANT.ID_DEST, '1'
  	FROM SCO_IMPORT.IMPORT_LIEN, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCO_IMPORT.Z_ID ALIAS_PARENT
  	WHERE (SCO_IMPORT.IMPORT_LIEN.ENFANT_ID = ALIAS_ENFANT.ID_SOUR
  	AND ALIAS_ENFANT.ID_TYPE = 'EC'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT='EC')
  	AND (SCO_IMPORT.IMPORT_LIEN.PARENT_ID = ALIAS_PARENT.ID_SOUR
  	AND ALIAS_PARENT.ID_TYPE = 'UE'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT='UE');
        
    INSERT INTO SCO_SCOLARITE.LIEN_COMPOSER (ID_LIEN_COMPOSER)
  	SELECT SCO_SCOLARITE.LIEN.ID_LIEN
  	FROM SCO_SCOLARITE.LIEN, SCO_IMPORT.IMPORT_LIEN, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCO_IMPORT.Z_ID ALIAS_PARENT
  	WHERE (SCO_IMPORT.IMPORT_LIEN.ENFANT_ID = ALIAS_ENFANT.ID_SOUR
    AND SCO_SCOLARITE.LIEN.CHILD_ID = ALIAS_ENFANT.ID_DEST
  	AND ALIAS_ENFANT.ID_TYPE = 'EC'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT='EC')    
  	AND (SCO_IMPORT.IMPORT_LIEN.PARENT_ID = ALIAS_PARENT.ID_SOUR
    AND SCO_SCOLARITE.LIEN.PARENT_ID = ALIAS_PARENT.ID_DEST
  	AND ALIAS_PARENT.ID_TYPE = 'UE'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT='UE') ;    
    
      -- Insertion des données de liaison entre UE ET PERIODE
	  INSERT INTO SCO_SCOLARITE.LIEN (ID_LIEN, PARENT_ID, CHILD_ID, TYPE_LIEN_ID)
  	SELECT SCO_SCOLARITE.LIEN_SEQ.nextval, ALIAS_PARENT.ID_DEST, ALIAS_ENFANT.ID_DEST, '1'
  	FROM SCO_IMPORT.IMPORT_LIEN, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCO_IMPORT.Z_ID ALIAS_PARENT
  	WHERE (SCO_IMPORT.IMPORT_LIEN.ENFANT_ID = ALIAS_ENFANT.ID_SOUR
  	AND ALIAS_ENFANT.ID_TYPE = 'UE'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT='UE')
  	AND (SCO_IMPORT.IMPORT_LIEN.PARENT_ID = ALIAS_PARENT.ID_SOUR
  	AND ALIAS_PARENT.ID_TYPE = 'PE'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT='PE') ;    
    
   INSERT INTO SCO_SCOLARITE.LIEN_COMPOSER (ID_LIEN_COMPOSER)
  	SELECT SCO_SCOLARITE.LIEN.ID_LIEN
  	FROM SCO_IMPORT.IMPORT_LIEN, SCO_SCOLARITE.LIEN, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCO_IMPORT.Z_ID ALIAS_PARENT
  		WHERE (SCO_IMPORT.IMPORT_LIEN.ENFANT_ID = ALIAS_ENFANT.ID_SOUR
    AND SCO_SCOLARITE.LIEN.CHILD_ID = ALIAS_ENFANT.ID_DEST
  	AND ALIAS_ENFANT.ID_TYPE = 'UE'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT='UE')    
  	AND (SCO_IMPORT.IMPORT_LIEN.PARENT_ID = ALIAS_PARENT.ID_SOUR
    AND SCO_SCOLARITE.LIEN.PARENT_ID = ALIAS_PARENT.ID_DEST
  	AND ALIAS_PARENT.ID_TYPE = 'PE'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT='PE') ;  
    
        -- Insertion des données de liaison entre PERIODE ET PARCOURS
	  INSERT INTO SCO_SCOLARITE.LIEN (ID_LIEN, PARENT_ID, CHILD_ID, TYPE_LIEN_ID)
  	SELECT SCO_SCOLARITE.LIEN_SEQ.nextval, ALIAS_PARENT.ID_DEST, ALIAS_ENFANT.ID_DEST, '1'
  	FROM SCO_IMPORT.IMPORT_LIEN, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCO_IMPORT.Z_ID ALIAS_PARENT
  	WHERE (SCO_IMPORT.IMPORT_LIEN.ENFANT_ID = ALIAS_ENFANT.ID_SOUR
  	AND ALIAS_ENFANT.ID_TYPE = 'PE'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT='PE')
  	AND (SCO_IMPORT.IMPORT_LIEN.PARENT_ID = ALIAS_PARENT.ID_SOUR
  	AND ALIAS_PARENT.ID_TYPE = 'PA'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT='PA') ;    
    
   INSERT INTO SCO_SCOLARITE.LIEN_COMPOSER (ID_LIEN_COMPOSER)
  	SELECT SCO_SCOLARITE.LIEN.ID_LIEN
  	FROM SCO_IMPORT.IMPORT_LIEN, SCO_SCOLARITE.LIEN, SCO_IMPORT.Z_ID ALIAS_ENFANT, SCO_IMPORT.Z_ID ALIAS_PARENT
  		WHERE (SCO_IMPORT.IMPORT_LIEN.ENFANT_ID = ALIAS_ENFANT.ID_SOUR
    AND SCO_SCOLARITE.LIEN.CHILD_ID = ALIAS_ENFANT.ID_DEST
  	AND ALIAS_ENFANT.ID_TYPE = 'PE'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT='PE')    
  	AND (SCO_IMPORT.IMPORT_LIEN.PARENT_ID = ALIAS_PARENT.ID_SOUR
    AND SCO_SCOLARITE.LIEN.PARENT_ID = ALIAS_PARENT.ID_DEST
  	AND ALIAS_PARENT.ID_TYPE = 'PA'
    AND SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT='PA') ;  
     
  	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Lien : OK');
 
  	COMMIT;
  	-- Conclusion
	DBMS_OUTPUT.PUT_LINE('Importation des données terminée.'); 
  
END;
/


